nodes['ovh.wireguard'] = {
    'bundles': {
        'wireguard',
    },
    'groups': {
        'debian-buster',
    },
    'metadata': {
        'interfaces': {
            'eth0': {
                'ips': {
                    '51.195.47.180',
                    '2001:41d0:701:1100::20da/128'
                },
                'gateway4': '51.195.44.1',
                'gateway6': '2001:41d0:701:1100::1'
            },
        },
        'backups': {
            'exclude_from_backups': True,
        },
        'vm': {
            'cpu': 1,
            'ram': 2,
        },
        'sysctl': {
            'options': {
                'net.ipv4.ip_forward': '1',
                'net.ipv6.conf.all.forwarding': '1',
            },
        },
        'wireguard': {
            'my_ip': '172.19.136.1/22',
            'peers': {
                'ovh.icinga2': {},
                'home.router': {},
                'htz-cloud.wireguard': {},
                'kunsi-oneplus3': {
                    'ips': {
                        '172.19.136.100/32',
                    },
                    'psk': vault.decrypt('encrypt$gAAAAABgKYeeuPfokbk7lSbbJX-52kap5Cs3tdCHpezkKcExV-yLTHPjszIcAh1T9wW1BtGElRdZea7VTikV3qEu3bupiSqEW4l2lmD5cn2ERYRfuVCoYSkOlmEGokHUX7Nja4G_A2_x'),
                    'pubkey': vault.decrypt('encrypt$gAAAAABgKYdTqLG3DcB13QqQadUxyzIjvSxwgZQNjorQi-ADSLsNdDbhikSAGQnSmGelLB74V175awIIir768WEnpLJUKX6nt_i2BxOP3JazvKZSQECkiK8G-IRn8wWWgKarfmtqRwh6'),
                    'exclude_from_monitoring': True,
                },
                'sophie-ejgwthink': {
                    'ips': {
                        '172.19.136.101/32',
                    },
                    'psk': vault.decrypt('encrypt$gAAAAABggxrfc9m3t2k1uDLqwK-U6xnYUiL5xjtsdOK8zZhx7u2Jr2OBdbxy9V0h4O3PWuiEHnOGtAP-JdSxa9OFsi5EMcimiBqtCo56oIrwjmT57PpVqEKhWjB0vGVdJSKfU2ikHAVK'),
                    'pubkey': vault.decrypt('encrypt$gAAAAABggxrfw8U3ckR8z7RxILjW4E8wOOsG8GSiVCOMem4UWMGhywWZYd8rRorapJknQrip0WyoniTWmh8INfvU_92uDIZM-0X2-VwpZn2e-Kv18GjUfxFzLbANghesONOq18gXli8Q'),
                    'exclude_from_monitoring': True,
                },
            },
            'restrict-to': {
                '*',
            },
        },
    },
}
