# Add-On for pretalx vm hosted at c3voc.
# c3voc ansible only takes care of the basic things, this node only
# does the things ansible does *not* do.

nodes['voc.pretalx'] = {
    'hostname': 'pretalx.c3voc.de',
    'bundles': {
        'c3voc-addons',
        'pretalx',
        'postfix',
        'postgresql',
        'redis',
        'sshmon',
    },
    'metadata': {
        'apt': {
            # Move patchday to somewhere where the possibility of
            # clashing with actual events is less likely.
            'unattended_upgrades': {
                'day': 1,
            },
        },
        'interfaces': {
            'default': {
                'ips': {
                    '31.172.33.105/28',
                    '2a01:a700:48d1::105/64',
                },
                'gateway4': '31.172.33.110',
                'gateway6': '2a01:a700:48d1::1',
            },
        },
        'icinga_options': {
            'pretty_name': 'pretalx.c3voc.de',
        },
        'nginx': {
            'vhosts': {
                'pretalx': {
                    'domain': 'pretalx.c3voc.de',
                    # pretalx limits this to 10M per file, too
                    'max_body_size': '100M',
                    'extras': True,
                    'website_check_path': '/orga/login/',
                    'website_check_string': ':: pretalx',
                },
            },
        },
        'pretalx': {
            'version': 'v2.2.0',
            'domain': 'pretalx.c3voc.de',
            'mail_from': 'pretalx@c3voc.de',
            'plugins': {
                'downstream': {
                    'repo': 'https://github.com/pretalx/pretalx-downstream.git',
                },
                'media.ccc.de': {
                    'repo': 'https://github.com/pretalx/pretalx-media-ccc-de.git',
                },
            },
        },
        'postfix': {
            'myhostname': 'pretalx.c3voc.de',
            'relayhost': 'mng.c3voc.de',
        },
    },
    'os': 'debian',
    'os_version': (10,),
    'pip_command': 'pip3',
}
